<template>
  <fieldset>
    <TextInputFloatingLabel
        :text="t('url_field_label')"
        for="embed_iframe_url"
        :hint="t('url_field_hint')"
    >
      <input
          id="embed_iframe_url"
          type="url"
          name="url"
          :value="currentSettings.url"
          placeholder="https://example.com"
      />
    </TextInputFloatingLabel>
  </fieldset>
</template>

<script>
module.exports = {
  name: "embed_iframe",
  props: {
    currentSettings: {
      type: Object,
      required: true,
    },
    locale: {
      type: String,
      required: true
    },
    backendUrl: {
      type: String,
      required: true,
    }
  },
  locales: {
    enGb: {
      url_field_label: 'Enter URL to embed',
      url_field_hint: 'Enter the full URL of a website to embed it on the board. The URL must be accessible without a login.'
    },
    deDe: {
      url_field_label: 'URL zum einbetten eingeben',
      url_field_hint: 'Gib die komplette URL einer Website ein, um sie auf dem Board zu zeigen. Die URL muss ohne Login zugänglich sein.',
    },
    frFr: {
      url_field_label: "Entrez l'URL à intégrer",
      url_field_hint: "Entrez l'URL complète d'un site Web pour l'intégrer au tableau. L'URL doit être accessible sans connexion."
    },
    esEs: {
      url_field_label: "Introduzca la URL para incrustar",
      url_field_hint: "Introduzca la URL completa de un sitio web para incrustarlo en el tablero. Se debe acceder a la URL sin inicio de sesión."
    },
    plPl: {
      url_field_label: "Wpisz adres URL, aby osadzić",
      url_field_hint: "Wprowadź pełny adres URL strony internetowej, aby osadzić go na tablicy. Adres URL musi być dostępny bez logowania."
    },
    koKr: {
      url_field_label: "삽입할 URL을 입력하세요",
      url_field_hint: "게시판에 삽입하려면 웹사이트의 전체 URL을 입력하십시오. URL은 로그인 없이 접근할 수 있어야 합니다."
    }
  }
}
</script>
<style scoped>
/* your styles here */
</style>
